Bug 1234567 - Package should not ship a separate emacs sub-package
Summary: Package should not ship a separate emacs sub-package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1326932 1326939
Blocks: EmacsPackagingViolations 1563290
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:53 UTC by Jonathan Underwood
Modified: 2018-11-26 18:26 UTC (History)
5 users (show)

Fixed In Version: erlang-19.0.2-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 20:56:50 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:53:39 UTC
The Emacs add-on packaging guidelines no longer stipulate that packages which also bundle support for Emacs should split out those Emacs files into separate sub-packages. This package should instead ship those files with the main package which should also Require emacs-filesystem. See https://fedoraproject.org/wiki/Packaging:Emacs for more detail.

Comment 1 Jan Kurik 2015-07-15 13:56:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Peter Lemenkov 2016-07-27 20:56:50 UTC
The issue addressed in erlang-19.0.2-1.fc25 availavle in Fedora 25.

Comment 3 Ralph Bean 2017-02-09 12:03:40 UTC
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb/package/modules/nfs-server

Comment 4 Ralph Bean 2017-02-09 12:05:09 UTC
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb/package/docker/nfs-server


Note You need to log in before you can comment on or make changes to this bug.